org.apache.maven.artifact.repository.metadata

## Interface RepositoryMetadataManager

- All Known Implementing Classes:
    DefaultRepositoryMetadataManager

      public interface RepositoryMetadataManager

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deploy(ArtifactMetadata metadata, ArtifactRepository localRepository, ArtifactRepository deploymentRepository)` Deploy metadata to the remote repository.
    `void` | `install(ArtifactMetadata metadata, ArtifactRepository localRepository)` Install the metadata in the local repository.
    `void` | `resolve(RepositoryMetadata repositoryMetadata, java.util.List repositories, ArtifactRepository localRepository)`
    `void` | `resolveAlways(RepositoryMetadata metadata, ArtifactRepository localRepository, ArtifactRepository remoteRepository)`

- - ### Method Detail

    - #### resolve

          void resolve(RepositoryMetadata repositoryMetadata,
                     java.util.List repositories,
                     ArtifactRepository localRepository)
                       throws RepositoryMetadataResolutionException

      Throws:
        `RepositoryMetadataResolutionException`

    - #### resolveAlways

          void resolveAlways(RepositoryMetadata metadata,
                           ArtifactRepository localRepository,
                           ArtifactRepository remoteRepository)
                             throws RepositoryMetadataResolutionException

      Throws:
        `RepositoryMetadataResolutionException`

    - #### deploy

          void deploy(ArtifactMetadata metadata,
                    ArtifactRepository localRepository,
                    ArtifactRepository deploymentRepository)
                      throws RepositoryMetadataDeploymentException

      Deploy metadata to the remote repository.
      Parameters:
        `metadata` - the metadata to deploy
        `localRepository` - the local repository to install to first
        `deploymentRepository` - the remote repository to deploy to
      Throws:
        `RepositoryMetadataDeploymentException`

    - #### install

          void install(ArtifactMetadata metadata,
                     ArtifactRepository localRepository)
                       throws RepositoryMetadataInstallationException

      Install the metadata in the local repository.
      Parameters:
        `metadata` - the metadata
        `localRepository` - the local repository
      Throws:
        `RepositoryMetadataInstallationException`